Update React to 0.14

Registered by Vitaly Kramskikh on 2015-12-23

We're still using React 0.13, but React 0.14 is here for a few months already and most of the libraries already use it. We need to switch to React 0.14 and fix all the warning related to deprecations.

Blueprint information

Status:
Complete
Approver:
Vitaly Kramskikh
Priority:
Medium
Drafter:
Vitaly Kramskikh
Direction:
Needs approval
Assignee:
Vitaly Kramskikh
Definition:
Approved
Series goal:
Accepted for mitaka
Implementation:
Implemented
Milestone target:
milestone icon 9.0
Started by
Vitaly Kramskikh on 2015-12-23
Completed by
Julia Aranovich on 2017-01-31

Related branches

Sprints

Whiteboard

Gerrit topic: https://review.openstack.org/#q,topic:bp/react-0-14,n,z

Addressed by: https://review.openstack.org/261524
    React 0.14 ReactDOM & addons warnings fix

Addressed by: https://review.openstack.org/262780
    React 0.14 validateDOMNesting warnings fix

Addressed by: https://review.openstack.org/262782
    React 0.14 transitionEnter/leaveTimeout warning fixed on settings tab

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.